Subject: Re: bug#25592: Feature request: sorting overlays

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Feb 2017 15:01:25 +0200

> From: Clément Pit--Claudel <[email-masked]>
> Date: Tue, 31 Jan 2017 15:32:26 -0500
> 
> Is there a way to get a list of all overlays in a buffer, sorted by priority?

I'm not sure I understand the request.  Do you mean that the result of
this would be a list of overlays, where the first one is the overlay
of the highest priority _anywhere_ in the buffer, the next one of the
2nd highest priority, possibly in an entirely different place in the
buffer, and so on -- i.e. completely disregarding the overlay
positions?  That's a very strange order.  Which job(s) need(s) such an
order, and why?